@import 'variables';

:host /deep/ {
  .custom-slider .ng5-slider .ng5-slider-bar {
    background-color: #eff5fb;
    height: 8px;
  }
  .custom-slider .ng5-slider .ng5-slider-selection {
    background-color: $primary-color;
  }

  .custom-slider .ng5-slider .ng5-slider-pointer {
    width: 20px;
    height: 24px;
    margin-top: 5px;
    background-color: $white;
    background-image: linear-gradient(
      90deg,
      $white 0%,
      $white 29.9%,
      $primary-color 30%,
      $primary-color 43%,
      $white 43.1%,
      $white 56.9%,
      $primary-color 57%,
      $primary-color 70%,
      $white 70.1%,
      $white 100%
    );
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100% 50%;
    border: 1px solid #eaeaea;
    border-radius: 4px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.1);
  }

  .custom-slider .ng5-slider .ng5-slider-pointer:after {
    display: none;
  }

  .custom-slider .ng5-slider .ng5-slider-tick {
    width: 1px;
    height: 10px;
    border-radius: 0;
    background: #eff5fb;
    top: 11px;
  }

  .custom-slider .ng5-slider .ng5-slider-tick.ng5-slider-selected {
    background: #eff5fb;
  }

  .ng5-slider .ng5-slider-bubble {
    color: #666666;
    font-size: 11px;
    font-weight: 400;
    line-height: 13px;
    opacity: 0.7;
    bottom: -33px;
  }
}
